version: "2"
services:
  bos:
    image: "bos:latest"
    container_name: "bos_docker"
    restart: unless-stopped
    tmpfs:
      - /tmp
      - /var/log 
      - /var/system 
      - /var/log/mosquitto
      - /var/lib/systemd/timesync
      - /var/lib/apt
    ports:
      - "9000:9000" #for bosUI
      - "8080:8080" #for bos
      - "22100:22100" #steam-client
      - "1884:1883" #use this command to see publisched data: mosquitto_sub -t "communicationAdapter/lf" -u "" -P "" -p 1884
      - "8022:22"   #for ssh
    volumes:
      - apps:/var/bos/apps
      - settings:/var/bos/settings
      - logs:/var/bos/logs

volumes:
  apps:
    driver: local
    driver_opts:
      type: 'none'
      o: 'bind'
      device: '/var/bos-docker/apps'
  settings:
    driver: local
    driver_opts:
      type: 'none'
      o: 'bind'
      device: '/var/bos-docker/settings'
  logs:
    driver: local
    driver_opts:
      type: 'none'
      o: 'bind'
      device: '/var/bos-docker/logs'

networks:
  default:
    name: bos_docker